summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2008-10-09 16:34:21 +0000
committerRoy Marples <roy@marples.name>2008-10-09 16:34:21 +0000
commit1a88a43aa50fc80d141b4ea5e654fce6b78c7665 (patch)
treeb47ca48d3c1cbbb072a39b1fecb5c2f6ec586168
parentc4e673edbc2b2a804e3d8374e3f87a30f87041b8 (diff)
downloadopenrc-1a88a43aa50fc80d141b4ea5e654fce6b78c7665.tar.gz
openrc-1a88a43aa50fc80d141b4ea5e654fce6b78c7665.tar.bz2
openrc-1a88a43aa50fc80d141b4ea5e654fce6b78c7665.tar.xz
Warn about sulogin timeout and then continue as normal, Gentoo #240383
-rw-r--r--init.d/halt.sh.in10
1 files changed, 6 insertions, 4 deletions
diff --git a/init.d/halt.sh.in b/init.d/halt.sh.in
index 1a87c94..492b513 100644
--- a/init.d/halt.sh.in
+++ b/init.d/halt.sh.in
@@ -102,14 +102,16 @@ if [ "${RC_UNAME}" = "Linux" ]; then
do_unmount "mount -n -o remount,ro" \
--skip-point-regex "${no_umounts_r}" \
${fs:+--skip-fstype-regex} ${fs} --nonetdev
- unmounted=$?
eoutdent
- eend ${unmounted}
+ eend $?
+ unmounted=$?
fi
if [ ${unmounted} -ne 0 ]; then
- [ -x /sbin/sulogin ] && sulogin -t 10 /dev/console
- exit 1
+ if [ -x /sbin/sulogin ]; then
+ ewarn "$1 timeout in 30 seconds"
+ sulogin -t 30 /dev/console
+ fi
fi
# Load the final script - not needed on BSD so they should not exist